Generation Framework

## org.eclipse.gmf.tooldef.util
Class GMFToolAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.tooldef.util.GMFToolAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  GMFToolItemProviderAdapterFactory

    public class GMFToolAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `GMFToolPackage`
** Generated **

Field Summary
`protected static GMFToolPackage` `modelPackage` The cached model package
`protected GMFToolSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch the delegates to the `createXXX` methods

Constructor Summary
`GMFToolAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAbstractToolAdapter()` Creates a new adapter for an object of class '`Abstract Tool`'
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createBundleImageAdapter()` Creates a new adapter for an object of class '`Bundle Image`'
`org.eclipse.emf.common.notify.Adapter` `createContextMenuAdapter()` Creates a new adapter for an object of class '`Context Menu`'
`org.eclipse.emf.common.notify.Adapter` `createContributionItemAdapter()` Creates a new adapter for an object of class '`Contribution Item`'
`org.eclipse.emf.common.notify.Adapter` `createCreationToolAdapter()` Creates a new adapter for an object of class '`Creation Tool`'
`org.eclipse.emf.common.notify.Adapter` `createDefaultImageAdapter()` Creates a new adapter for an object of class '`Default Image`'
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` `createGenericStyleSelectorAdapter()` Creates a new adapter for an object of class '`Generic Style Selector`'
`org.eclipse.emf.common.notify.Adapter` `createGenericToolAdapter()` Creates a new adapter for an object of class '`Generic Tool`'
`org.eclipse.emf.common.notify.Adapter` `createImageAdapter()` Creates a new adapter for an object of class '`Image`'
`org.eclipse.emf.common.notify.Adapter` `createItemBaseAdapter()` Creates a new adapter for an object of class '`Item Base`'
`org.eclipse.emf.common.notify.Adapter` `createItemRefAdapter()` Creates a new adapter for an object of class '`Item Ref`'
`org.eclipse.emf.common.notify.Adapter` `createMainMenuAdapter()` Creates a new adapter for an object of class '`Main Menu`'
`org.eclipse.emf.common.notify.Adapter` `createMenuActionAdapter()` Creates a new adapter for an object of class '`Menu Action`'
`org.eclipse.emf.common.notify.Adapter` `createMenuAdapter()` Creates a new adapter for an object of class '`Menu`'
`org.eclipse.emf.common.notify.Adapter` `createPaletteAdapter()` Creates a new adapter for an object of class '`Palette`'
`org.eclipse.emf.common.notify.Adapter` `createPaletteSeparatorAdapter()` Creates a new adapter for an object of class '`Palette Separator`'
`org.eclipse.emf.common.notify.Adapter` `createPopupMenuAdapter()` Creates a new adapter for an object of class '`Popup Menu`'
`org.eclipse.emf.common.notify.Adapter` `createPredefinedItemAdapter()` Creates a new adapter for an object of class '`Predefined Item`'
`org.eclipse.emf.common.notify.Adapter` `createPredefinedMenuAdapter()` Creates a new adapter for an object of class '`Predefined Menu`'
`org.eclipse.emf.common.notify.Adapter` `createSeparatorAdapter()` Creates a new adapter for an object of class '`Separator`'
`org.eclipse.emf.common.notify.Adapter` `createStandardToolAdapter()` Creates a new adapter for an object of class '`Standard Tool`'
`org.eclipse.emf.common.notify.Adapter` `createStyleSelectorAdapter()` Creates a new adapter for an object of class '`Style Selector`'
`org.eclipse.emf.common.notify.Adapter` `createToolbarAdapter()` Creates a new adapter for an object of class '`Toolbar`'
`org.eclipse.emf.common.notify.Adapter` `createToolContainerAdapter()` Creates a new adapter for an object of class '`Tool Container`'
`org.eclipse.emf.common.notify.Adapter` `createToolGroupAdapter()` Creates a new adapter for an object of class '`Tool Group`'
`org.eclipse.emf.common.notify.Adapter` `createToolRegistryAdapter()` Creates a new adapter for an object of class '`Tool Registry`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFToolPackage modelPackage

  The cached model package.

  ** Generated **

### modelSwitch

    protected GMFToolSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch the delegates to the `createXXX` methods.

  ** Generated **

Constructor Detail

### GMFToolAdapterFactory

    public GMFToolAdapterFactory()

  Creates an instance of the adapter factory.

  ** Generated **

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  ** Generated **

### createToolRegistryAdapter

    public org.eclipse.emf.common.notify.Adapter createToolRegistryAdapter()

  Creates a new adapter for an object of class '`Tool Registry`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolRegistry`
  ** Generated **

### createAbstractToolAdapter

    public org.eclipse.emf.common.notify.Adapter createAbstractToolAdapter()

  Creates a new adapter for an object of class '`Abstract Tool`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AbstractTool`
  ** Generated **

### createToolContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createToolContainerAdapter()

  Creates a new adapter for an object of class '`Tool Container`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolContainer`
  ** Generated **

### createPaletteSeparatorAdapter

    public org.eclipse.emf.common.notify.Adapter createPaletteSeparatorAdapter()

  Creates a new adapter for an object of class '`Palette Separator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PaletteSeparator`
  ** Generated **

### createToolGroupAdapter

    public org.eclipse.emf.common.notify.Adapter createToolGroupAdapter()

  Creates a new adapter for an object of class '`Tool Group`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ToolGroup`
  ** Generated **

### createPaletteAdapter

    public org.eclipse.emf.common.notify.Adapter createPaletteAdapter()

  Creates a new adapter for an object of class '`Palette`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Palette`
  ** Generated **

### createStandardToolAdapter

    public org.eclipse.emf.common.notify.Adapter createStandardToolAdapter()

  Creates a new adapter for an object of class '`Standard Tool`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StandardTool`
  ** Generated **

### createCreationToolAdapter

    public org.eclipse.emf.common.notify.Adapter createCreationToolAdapter()

  Creates a new adapter for an object of class '`Creation Tool`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CreationTool`
  ** Generated **

### createGenericToolAdapter

    public org.eclipse.emf.common.notify.Adapter createGenericToolAdapter()

  Creates a new adapter for an object of class '`Generic Tool`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenericTool`
  ** Generated **

### createItemBaseAdapter

    public org.eclipse.emf.common.notify.Adapter createItemBaseAdapter()

  Creates a new adapter for an object of class '`Item Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ItemBase`
  ** Generated **

### createMenuAdapter

    public org.eclipse.emf.common.notify.Adapter createMenuAdapter()

  Creates a new adapter for an object of class '`Menu`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Menu`
  ** Generated **

### createSeparatorAdapter

    public org.eclipse.emf.common.notify.Adapter createSeparatorAdapter()

  Creates a new adapter for an object of class '`Separator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Separator`
  ** Generated **

### createPredefinedItemAdapter

    public org.eclipse.emf.common.notify.Adapter createPredefinedItemAdapter()

  Creates a new adapter for an object of class '`Predefined Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedItem`
  ** Generated **

### createPredefinedMenuAdapter

    public org.eclipse.emf.common.notify.Adapter createPredefinedMenuAdapter()

  Creates a new adapter for an object of class '`Predefined Menu`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedMenu`
  ** Generated **

### createContributionItemAdapter

    public org.eclipse.emf.common.notify.Adapter createContributionItemAdapter()

  Creates a new adapter for an object of class '`Contribution Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ContributionItem`
  ** Generated **

### createMenuActionAdapter

    public org.eclipse.emf.common.notify.Adapter createMenuActionAdapter()

  Creates a new adapter for an object of class '`Menu Action`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MenuAction`
  ** Generated **

### createItemRefAdapter

    public org.eclipse.emf.common.notify.Adapter createItemRefAdapter()

  Creates a new adapter for an object of class '`Item Ref`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ItemRef`
  ** Generated **

### createContextMenuAdapter

    public org.eclipse.emf.common.notify.Adapter createContextMenuAdapter()

  Creates a new adapter for an object of class '`Context Menu`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ContextMenu`
  ** Generated **

### createPopupMenuAdapter

    public org.eclipse.emf.common.notify.Adapter createPopupMenuAdapter()

  Creates a new adapter for an object of class '`Popup Menu`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PopupMenu`
  ** Generated **

### createMainMenuAdapter

    public org.eclipse.emf.common.notify.Adapter createMainMenuAdapter()

  Creates a new adapter for an object of class '`Main Menu`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `MainMenu`
  ** Generated **

### createToolbarAdapter

    public org.eclipse.emf.common.notify.Adapter createToolbarAdapter()

  Creates a new adapter for an object of class '`Toolbar`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Toolbar`
  ** Generated **

### createImageAdapter

    public org.eclipse.emf.common.notify.Adapter createImageAdapter()

  Creates a new adapter for an object of class '`Image`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Image`
  ** Generated **

### createDefaultImageAdapter

    public org.eclipse.emf.common.notify.Adapter createDefaultImageAdapter()

  Creates a new adapter for an object of class '`Default Image`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DefaultImage`
  ** Generated **

### createBundleImageAdapter

    public org.eclipse.emf.common.notify.Adapter createBundleImageAdapter()

  Creates a new adapter for an object of class '`Bundle Image`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BundleImage`
  ** Generated **

### createStyleSelectorAdapter

    public org.eclipse.emf.common.notify.Adapter createStyleSelectorAdapter()

  Creates a new adapter for an object of class '`Style Selector`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StyleSelector`
  ** Generated **

### createGenericStyleSelectorAdapter

    public org.eclipse.emf.common.notify.Adapter createGenericStyleSelectorAdapter()

  Creates a new adapter for an object of class '`Generic Style Selector`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenericStyleSelector`
  ** Generated **

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.